#2061 closed defect (fixed)

RBTree: updating min and max on insert with duplicates

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

When inserting to a red-black tree with duplicates the min and max pointers are not updated properly. We need to check the key of the min/max node against the insert node since the insert point could be the child of a node with an identical key to the min/max node.

Attachments (1)

0001-PR2061-RBTree-updating-min-and-max-on-insert-with-du.patch (1.3 KB) - added by Gedare Bloom on May 2, 2012 at 6:24:52 PM.
Bugfix

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 8, 2012 at 9:43:06 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

Applied fix.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.